function FindProxyForURL(url, host) {

    if (isPlainHostName(host)) { return "DIRECT"; }

    else if (shExpMatch(host, "*.abbott.com") &&
        (dnsDomainLevels(host) > 2)) {
        return "DIRECT"; }

    else if (dnsDomainIs(host, ".abbott.corp") ||
        dnsDomainIs(host, ".rossnutrition.com") ||
        dnsDomainIs(host, ".tappharma.com") ||
        dnsDomainIs(host, ".ourhospira.corp")) {
        return "DIRECT"; }

    else if (shExpMatch (host, "10.*") ||
        shExpMatch (host, "192.168.*") ||
        shExpMatch (host, "127.0.0.1") ||
        shExpMatch (host, "169.254.*")) {
        return "DIRECT"; }

    else if (shExpMatch (host, "172.*")) {
        var aOctet = host.split(".");
        if ((aOctet[1] > 15 && aOctet[1] < 32)) {
            return "DIRECT"; }
        }

    else if (shExpMatch(url, "ftp:*")) {
        return "PROXY ftp.lb.abbott.corp:80"; }

    else if (localHostOrDomainIs(host, "hrxpress.abbott.com") ||
        localHostOrDomainIs(host, "aww.abbott.com") ||
        localHostOrDomainIs(host, "chrdev.abbott.com") ||
        localHostOrDomainIs(host, "microsoft.abbott.com") ||
        localHostOrDomainIs(host, "eis.abbott.com") ||
        localHostOrDomainIs(host, "hpdsales.abbott.com") ||
        localHostOrDomainIs(host, "pcinfo.abbott.com") ||
        localHostOrDomainIs(host, "apex-dev.abbott.com") ||
        localHostOrDomainIs(host, "qa-oec.abbott.com") ||
        localHostOrDomainIs(host, "qa-corprecords.abbott.com") ||
        localHostOrDomainIs(host, "qa-treasury.abbott.com") ||
        localHostOrDomainIs(host, "qa-finance.abbott.com") ||
        localHostOrDomainIs(host, "qa-aepac.abbott.com") ||
        localHostOrDomainIs(host, "qa-jobs.abbott.com") ||
        localHostOrDomainIs(host, "dev-abbottleader.abbott.com") ||
        localHostOrDomainIs(host, "asg-d.abbott.com") ||
        localHostOrDomainIs(host, "ias-clara.abbott.com") ||
        localHostOrDomainIs(host, "aww-it.abbott.com") ||
        localHostOrDomainIs(host, "updates.abbott.com") ||
        localHostOrDomainIs(host, "uk.abbott.com") ||
        localHostOrDomainIs(host, "adduk.abbott.com") ||
        localHostOrDomainIs(host, "kanatraining.abbott.com") ||
        localHostOrDomainIs(host, "aigs.abbott.com") ||
        localHostOrDomainIs(host, "childcare.abbott.com") ||
        localHostOrDomainIs(host, "password.abbott.com") ||
        localHostOrDomainIs(host, "bcc.abbott.com") ||
        localHostOrDomainIs(host, "passwords.abbott.com") ||
        localHostOrDomainIs(host, "travel.abbott.com") ||
        localHostOrDomainIs(host, "virus.abbott.com") ||
        localHostOrDomainIs(host, "gts.abbott.com") ||
        localHostOrDomainIs(host, "payroll.abbott.com") ||
        localHostOrDomainIs(host, "mysop.abbott.com") ||
        localHostOrDomainIs(host, "security.abbott.com") ||
        localHostOrDomainIs(host, "chrdev.abbott.com") ||
        localHostOrDomainIs(host, "oec.abbott.com") ||
        localHostOrDomainIs(host, "library.abbott.com") ||
        localHostOrDomainIs(host, "myai.abbott.com") ||
        localHostOrDomainIs(host, "itstrategy.abbott.com") ||
        localHostOrDomainIs(host, "images.abbott.com") ||
        localHostOrDomainIs(host, "inclusion.abbott.com") ||
        localHostOrDomainIs(host, "e-learning.abbott.com") ||
        localHostOrDomainIs(host, "training.abbott.com") ||
        localHostOrDomainIs(host, "cls.abbott.com") ||
        localHostOrDomainIs(host, "jobs.abbott.com") ||
        localHostOrDomainIs(host, "finance.abbott.com") ||
        localHostOrDomainIs(host, "corprecords.abbott.com") ||
        localHostOrDomainIs(host, "treasury.abbott.com") ||
        localHostOrDomainIs(host, "aepac.abbott.com") ||
        localHostOrDomainIs(host, "addonline.abbott.com") ||
        localHostOrDomainIs(host, "crqs.abbott.com") ||
        localHostOrDomainIs(host, "ats.abbott.com") ||
        localHostOrDomainIs(host, "euc.abbott.com") ||
        localHostOrDomainIs(host, "addetms.abbott.com") ||
        localHostOrDomainIs(host, "kronos.abbott.com") ||
        localHostOrDomainIs(host, "surveys.abbott.com") ||
        localHostOrDomainIs(host, "apex.abbott.com") ||
        localHostOrDomainIs(host, "pda.abbott.com") ||
        localHostOrDomainIs(host, "macaw.abbott.com") ||
        localHostOrDomainIs(host, "kanarpts.abbott.com") ||
        localHostOrDomainIs(host, "oncology.abbott.com") ||
        localHostOrDomainIs(host, "itportaloverview.abbott.com") ||
        localHostOrDomainIs(host, "webcbt.abbott.com") ||
        localHostOrDomainIs(host, "msds.abbott.com") ||
        localHostOrDomainIs(host, "storage.abbott.com") ||
        localHostOrDomainIs(host, "aviation.abbott.com") ||
        localHostOrDomainIs(host, "myteam.abbott.com") ||
        localHostOrDomainIs(host, "focus.abbott.com") ||
        localHostOrDomainIs(host, "aiqa.abbott.com") ||
        localHostOrDomainIs(host, "pin.abbott.com") ||
        localHostOrDomainIs(host, "classa.abbott.com") ||
        localHostOrDomainIs(host, "chrss.abbott.com") ||
        localHostOrDomainIs(host, "ebds.abbott.com") ||
        localHostOrDomainIs(host, "ebdstest.abbott.com") ||
        localHostOrDomainIs(host, "kana.abbott.com") ||
        localHostOrDomainIs(host, "secdata.abbott.com") ||
        localHostOrDomainIs(host, "comp.abbott.com") ||
        localHostOrDomainIs(host, "compdev.abbott.com") ||
        localHostOrDomainIs(host, "lobbystandards.abbott.com") ||
        localHostOrDomainIs(host, "intdesign.abbott.com") ||
        localHostOrDomainIs(host, "itpdp.abbott.com") ||
        localHostOrDomainIs(host, "payandbenefits.abbott.com") ||
        localHostOrDomainIs(host, "addcid.abbott.com") ||
        localHostOrDomainIs(host, "college.abbott.com") ||
        localHostOrDomainIs(host, "ccn.abbott.com") ||
        localHostOrDomainIs(host, "sectrack.abbott.com") ||
        localHostOrDomainIs(host, "xmsi.abbott.com") ||
        localHostOrDomainIs(host, "xms.abbott.com") ||
        localHostOrDomainIs(host, "cognos.abbott.com") ||
        localHostOrDomainIs(host, "ispan.abbott.com") ||
        localHostOrDomainIs(host, "gqmsreportexpert.abbott.com") ||
        localHostOrDomainIs(host, "pex360.abbott.com") ||
        localHostOrDomainIs(host, "opinionleaders.abbott.com") ||
        localHostOrDomainIs(host, "mratlas.abbott.com")) {
        return "DIRECT"; }

    else {
        return "PROXY proxy.lb.abbott.corp:80"; }
}
